body {
  background: linear-gradient(rgb(110, 79, 64), rgb(180, 138, 48));
  padding: 0;
  margin: 0;
  font-family: "Century Gothic", "Arial", sans-serif;
  text-align: center;
}

.quiz-level {
  max-width: 1000px;
  box-shadow: 0 0 12px 0 #00000059;
  text-align: center;
  margin: auto;
  background: #fff;
}
.title {
  padding-top: 60px;
  padding-bottom: 20px;
}
h1 {
  color: #ddd;
  margin-bottom: 0;
}
h6 {
  color: #ddd; 
  margin-top: 0;
  font-size: 16px;
}

.login-header {
  float: right;
  font-size: 11px;
  padding: 2px;
}

.left-header {
  float: left;
  font-size: 11px;
  padding: 2px;
}

.header {
  width: 100%;
  text-align: center;
  overflow: hidden;
  margin: auto;
  padding-bottom: 40px;
}
.header-item {
  float: left;
  width: 33.33%;
  height: 100px;
}
.header-item button {
  width: 60px;
  height: 60px;
  margin-top: 20px;
  border-radius: 50%;
  padding: 0 !important;
}
.header-item h2 {
  margin: 20px;
}
.footer {
  width: 100%;
  background: #eee;
  font-size: 11px;
  margin-top: 60px;
  padding: 10px 0;
}

#levels-container {
  overflow: hidden;
}

.level-item {
  float: left;
  width: 29%;
  text-align: center;
  margin: 20px;
}

.level-item-inner {
  border: 2px solid #aaa;
  border-radius: 8px;
  width: 200px;
  height: 200px;
  margin: auto;
  overflow: hidden;
  position: relative;
  box-shadow: 0 0 8px #00000054;
}
.level-item-inner:hover {
  opacity: 0.5;
  border-color: #000;
  cursor: pointer;
}
.level-item-inner h2 {
  font-size: 32px; 
}

.level-item-inner .overlay {
  width: 100%;
  height: 100%;
  /*background: rgb(40, 189, 40);
  opacity: 0.5;*/
  position: absolute;
}
.level-item-inner .overlay img {
  width: 50%;
}

.level-item-inner .q-audio, .level-item-inner .q-image {
  position: absolute;
  opacity: 0.5;
}

.content-image-audio {
  width: 50%;
}

.modal {
  max-width: 1000px;
}

.quiz-body {
  padding: 20px;
  height: 100%;
  max-width: 1000px;
  margin: auto;
  text-align: center;
  position: relative;
}

#q-content #q-image img {
  width: 80%;
}

h2 {
  color: #444;
  font-size: 48px;
}

a {
  text-decoration: none;
}

#current-question-correct {
  width: 100px;
  top: 20px;
  right: 50px;
  position: absolute;
}

button {
  background: linear-gradient(75deg, #795526, #ffae00);
  width: 100%;
  color: white;
  text-transform: uppercase;
  font-weight: bold;
  border-radius: 6px;
  border: none;
  padding: 20px 40px;
  cursor: pointer;
}
button:hover {
  opacity: 0.5;
}

#q-content, #q-image, #q-audio {
  text-align: center;
}

#q-answer {
  margin: auto;
  margin-top: 40px;
  width: 400px;
}
#q-audio {
  width: 560px;
  margin: auto;
  text-align: center;
}
#q-audio audio {
  width: 100%;
}

form {
  text-align: left;
}

.level-locked {
  text-align: center;
}
.level-locked img {
  width: 400px;
  height: 400px;
  margin: 100px auto;
}

#feedback-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0; 
  background: rgba(40, 189, 40, 0.5);
}
#feedback-overlay .container {
  position: relative;
  top: 33%;
  left: 0;
  text-align: center;
}
#feedback-image {
  width: 200px;
  margin: auto;
}

.close-modal {
  transform: scale(1.5);
  top: 12.5px !important;
  right: 12.5px !important;
}

/* ================== INPUT  =====================*/
:root {
  /* generic */
  --gutterSm: 0.4rem;
  --gutterMd: 0.8rem;
  --gutterLg: 1.6rem;
  --gutterXl: 2.4rem;
  --gutterXx: 7.2rem;
  --colorPrimary400: #7e57c2;
  --colorPrimary600: #5e35b1;
  --colorPrimary800: #4527a0;
  --fontFamily: "Dosis", sans-serif;
  --fontSizeSm: 1.2rem;
  --fontSizeMd: 1.6rem;
  --fontSizeLg: 2.1rem;
  --fontSizeXl: 2.8rem;
  --fontSizeXx: 3.6rem;
  --lineHeightSm: 1.1;
  --lineHeightMd: 1.8;
  --transitionDuration: 300ms;
  --transitionTF: cubic-bezier(0.645, 0.045, 0.355, 1);
  
  /* floated labels */
  --inputPaddingV: var(--gutterMd);
  --inputPaddingH: var(--gutterLg);
  --inputFontSize: var(--fontSizeSm);
  --inputLineHeight: var(--lineHeightMd);
  --labelScaleFactor: 0.8;
  --labelDefaultPosY: 50%;
  --labelTransformedPosY: calc(
    (var(--labelDefaultPosY)) - 
    (var(--inputPaddingV) * var(--labelScaleFactor)) - 
    (var(--inputFontSize) * var(--inputLineHeight))
  );
  --inputTransitionDuration: var(--transitionDuration);
  --inputTransitionTF: var(--transitionTF);
}

.Input {
  position: relative;
}

.Input-text {
  display: block;
  margin: 0;
  padding: var(--inputPaddingV) var(--inputPaddingH);
  color: inherit;
  width: 100%;
  font-family: inherit;
  font-size: var(--inputFontSize);
  font-weight: inherit;
  line-height: var(--inputLineHeight);
  border: 1px solid #aaa;
  border-radius: 0.4rem;
  transition: box-shadow var(--transitionDuration);
}

.Input-text::placeholder {
  color: #B0BEC5;
}

.Input-text:focus {
  outline: none;
  box-shadow: 0.2rem 0.8rem 1.6rem var(--colorPrimary600);
}

.Input-label {
  display: block;
  position: absolute;
  bottom: 50%;
  left: 1rem;
  color: #fff;
  font-family: inherit;
  font-size: var(--inputFontSize);
  font-weight: inherit;
  line-height: var(--inputLineHeight);
  opacity: 0;
  transform: 
    translate3d(0, var(--labelDefaultPosY), 0)
    scale(1);
  transform-origin: 0 0;
  transition:
    opacity var(--inputTransitionDuration) var(--inputTransitionTF),
    transform var(--inputTransitionDuration) var(--inputTransitionTF),
    visibility 0ms var(--inputTransitionDuration) var(--inputTransitionTF),
    z-index 0ms var(--inputTransitionDuration) var(--inputTransitionTF);
}

.Input-text:placeholder-shown + .Input-label {
  visibility: hidden;
  z-index: -1;
}

.Input-text:not(:placeholder-shown) + .Input-label,
.Input-text:focus:not(:placeholder-shown) + .Input-label {
  visibility: visible;
  z-index: 1;
  opacity: 1;
  transform:
    translate3d(0, var(--labelTransformedPosY), 0)
    scale(var(--labelScaleFactor));
  transition:
    transform var(--inputTransitionDuration),
    visibility 0ms,
    z-index 0ms;
}

/* ============= AUTOCOMPLETE ================= */
.autocomplete {
  /*the container must be positioned relative:*/
  position: relative;
  display: inline-block;
  font-family: "Century Gothic", "Arial", sans-serif;
}
.autocomplete-items {
  position: absolute;
  border: 1px solid #d4d4d4;
  border-bottom: none;
  border-top: none;
  z-index: 99;
  /*position the autocomplete items to be the same width as the container:*/
  top: 100%;
  left: 0;
  right: 0;
}
.autocomplete-items div {
  padding: 10px 25px;
  cursor: pointer;
  background-color: #fff;
  border-bottom: 1px solid #d4d4d4;
}
.autocomplete-items div:hover {
  /*when hovering an item:*/
  background-color: #e9e9e9;
}
.autocomplete-active {
  /*when navigating through the items using the arrow keys:*/
  background-color: DodgerBlue !important;
  color: #ffffff;
}

/* ============ Tooltip container =========== */
.tooltip {
  position: absolute;
  right: 15px;
  bottom: 15px;
  display: inline;
  border-radius: 50%;
  background: #aaa;
  padding: 5px 10px;
  font-weight: bold;
  color: #fff;
}

/* Tooltip text */
.tooltip .tooltiptext {
  visibility: hidden;
  font-size: 11px;
  width: 400px;
  background-color: rgb(83, 83, 83);
  color: rgb(233, 233, 233);
  padding: 10px;
  border-radius: 6px;
 
  /* Position the tooltip text - see examples below! */
  position: absolute;
  z-index: 1;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
  visibility: visible;
}

@media screen and (max-width: 1024px) {

  h1 {
    font-size: 64px;
  }

  h2 {
    font-size: 64px;
  }

  h3 {
    font-size: 32px;
  }

  .header-item button {
    width: 100px;
    height: 100px;
    font-size: 30px;
  }

  .level-item-inner {
    width: 280px;
    height: 280px;
    margin-top: 0;
  }

  .login-header {
    font-size: 16px;
    padding: 10px;
  }

  #q-content #q-image img {
    width: 100%;
  }

  #q-answer {
    width: 100%;
  }

  .Input-text {
    font-size: 32px;
  }

  .btn-submit {
    height: 80px;
    font-size: 26px;
  }

  .close-modal {
    transform: scale(2);
  }
}

